This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 964041 - Stack trace during Eclipse startup
Stack trace during Eclipse startup
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 02:38 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-10 10:31:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Daniel 2013-05-17 02:38:29 EDT
!ENTRY org.eclipse.pde.core 4 0 2013-05-17 08:33:53.730
!MESSAGE Problem processing bundle manifest source header in plug-in {0} version {1} found at {2}
!STACK 0
org.osgi.framework.BundleException: Invalid manifest header Eclipse-SourceBundle: "org.eclipse.osgi.util;version="3.2.300.v20130516-1648";roots:="""
	at org.eclipse.osgi.util.ManifestElement.parseHeader(ManifestElement.java:414)
	at org.eclipse.pde.internal.core.BundleManifestSourceLocationManager.setPlugins(BundleManifestSourceLocationManager.java:198)
	at org.eclipse.pde.internal.core.SourceLocationManager.initializeBundleManifestLocations(SourceLocationManager.java:390)
	at org.eclipse.pde.internal.core.SourceLocationManager.getBundleManifestLocator(SourceLocationManager.java:220)
	at org.eclipse.pde.internal.core.SourceLocationManager.getBundleManifestLocation(SourceLocationManager.java:212)
	at org.eclipse.pde.internal.core.SourceLocationManager.searchBundleManifestLocations(SourceLocationManager.java:297)
	at org.eclipse.pde.internal.core.SourceLocationManager.findSourcePath(SourceLocationManager.java:57)
	at org.eclipse.pde.internal.core.ClasspathUtilCore.getSourceAnnotation(ClasspathUtilCore.java:154)
	at org.eclipse.pde.internal.core.ClasspathUtilCore.addJARdPlugin(ClasspathUtilCore.java:49)
	at org.eclipse.pde.internal.core.ClasspathUtilCore.addLibraries(ClasspathUtilCore.java:33)
	at org.eclipse.pde.internal.core.SearchablePluginsManager.computeContainerClasspathEntries(SearchablePluginsManager.java:157)
	at org.eclipse.pde.internal.core.ExternalJavaSearchClasspathContainer.getClasspathEntries(ExternalJavaSearchClasspathContainer.java:29)
	at org.eclipse.jdt.internal.core.JavaProject.resolveClasspath(JavaProject.java:2698)
	at org.eclipse.jdt.internal.core.JavaProject.resolveClasspath(JavaProject.java:2856)
	at org.eclipse.jdt.internal.core.JavaProject.getResolvedClasspath(JavaProject.java:1961)
	at org.eclipse.jdt.core.JavaCore.initializeAfterLoad(JavaCore.java:4023)
	at org.eclipse.jdt.internal.ui.InitializeAfterLoadJob$RealJob.run(InitializeAfterLoadJob.java:36)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:53)
Comment 1 Krzysztof Daniel 2013-10-10 10:31:02 EDT
does not happen in f19
Comment 2 Krzysztof Daniel 2013-10-11 04:15:13 EDT
.
Comment 3 Krzysztof Daniel 2013-10-11 04:15:38 EDT
.

Note You need to log in before you can comment on or make changes to this bug.